Postfix altermime Disclaimer

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
prisonmind
Posts: 5
Joined: 2007-06-26 20:17

Postfix altermime Disclaimer

Post by prisonmind » 2007-06-26 20:26

hi zusammmen,

ich hab ein problem mit meinen email disclaimer den ich mit altermime automatisch an jede email hänge.
und zwar überprüft das script nicht ob schon einmal ein disclaimer angehängt wurde. so kommt es oft vor das mehrmals die gleichen disclaimer am ende stehen. hat jemand ein lösungsvorschlag???

mein script ist das standard script für altermime
#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/altermime
SENDMAIL=/usr/sbin/sendmail
# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69
echo $2 > /var/spool/altermime/sender

# Clean up when done or when aborting.
#trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }
cat >/var/spool/altermime/in.$$ || { echo Cannot save mail to file; exit
$EX_TEMPFAIL; }

#if grep $2 /etc/postfix/disclaimer_user; then
/usr/local/bin/altermime --input=in.$$
--disclaimer=/etc/postfix/disclaimer.txt
--disclaimer-html=/etc/postfix/disclaimer.html ||
{ echo Message content rejected; exit
$EX_UNAVAILABLE; }
#fi
$SENDMAIL "$@" <in.$$

exit $?

flo
RSAC
Posts: 2297
Joined: 2002-07-28 13:02
Location: Berlin

Re: Postfix altermime Disclaimer

Post by flo » 2007-06-27 10:40

greppen nach einer Zeichenkombination aus dem Disclaimer - aber das ist relativ sinnfrei, weil fehleranfällig.

prisonmind
Posts: 5
Joined: 2007-06-26 20:17

Re: Postfix altermime Disclaimer

Post by prisonmind » 2007-06-27 19:58

mit grep währe eine idee, oder könnt man einen X-Status in den Mail-Header packen? wie X-SPAM-FLAG und danach dann prüfen? wüsst jetzt aber nich wie man das am besten macht

der kleine tux
Posts: 97
Joined: 2005-10-29 04:12
Location: Planet Erde

Re: Postfix altermime Disclaimer

Post by der kleine tux » 2007-06-27 20:55

Hallo

schreibt altermime denn irgendwas im Header ?
Dann könnte man prüfen ob der Disclaimer durchlaufen wurde oder nicht.

Ansonsten könnte man ja was eindeutiges wie zb eine (id) im Disclaimer hinterlassen und darauf ein grep ansetzen und entsprechend reagieren.

wie und wo man sowas als Notlösung einbauen könnte musst du die Mädels von der Profi Abteilung fragen :-D
Gruß

adjustman
Posts: 1132
Joined: 2003-03-26 23:29
Location: SA

Re: Postfix altermime Disclaimer

Post by adjustman » 2007-06-28 02:51

PrisonMind wrote:ich hab ein problem mit meinen email disclaimer den ich mit altermime automatisch an jede email hänge
das mit altermime ist so ne Sache. Ist etwas tricky. Gras mal die Postfix-Liste ab, da wurde kürzlich was diesbezgl. behandelt.

prisonmind
Posts: 5
Joined: 2007-06-26 20:17

Re: Postfix altermime Disclaimer

Post by prisonmind » 2007-07-05 20:59

welche postfix-liste meinste?

adjustman
Posts: 1132
Joined: 2003-03-26 23:29
Location: SA

Re: Postfix altermime Disclaimer

Post by adjustman » 2007-07-05 21:12

PrisonMind wrote:welche postfix-liste meinste?
die deutsche. Aber auf der Ami-List war auch sehr oft was darüber.

prisonmind
Posts: 5
Joined: 2007-06-26 20:17

Re: Postfix altermime Disclaimer

Post by prisonmind » 2007-07-17 19:05

haste reinzufällig noch nen link?
hab da nichts gefunden...

adjustman
Posts: 1132
Joined: 2003-03-26 23:29
Location: SA

Re: Postfix altermime Disclaimer

Post by adjustman » 2007-07-17 21:52